import request from '@/utils/request'

// 查询cmc业主单位列表
export function listPartyA(query) {
  return request({
    url: '/oa/partyA/list',
    method: 'get',
    params: query
  })
}

// 查询cmc业主单位详细
export function getPartyA(partyAId) {
  return request({
    url: '/oa/partyA/' + partyAId,
    method: 'get'
  })
}

// 新增cmc业主单位
export function addPartyA(data) {
  return request({
    url: '/oa/partyA',
    method: 'post',
    data: data
  })
}

// 修改cmc业主单位
export function updatePartyA(data) {
  return request({
    url: '/oa/partyA',
    method: 'put',
    data: data
  })
}

// 删除cmc业主单位
export function delPartyA(partyAId) {
  return request({
    url: '/oa/partyA/' + partyAId,
    method: 'delete'
  })
}
